Subject: bug#57728: 29.0.50; Emacs writes wrong glyph at the bottom-right corner of text terminals

From: Eli Zaretskii <[email-masked]>
Date: Sun, 11 Sep 2022 14:39:17 +0300

> Date: Sun, 11 Sep 2022 16:34:38 +0600
> From:  Akib Azmain Turja via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Emacs often writes to the last character possibly by mistake.  To
> reproduce, run emacs -Q, hit M-: (eval-expression), write some garbage
> until the minibuffer window scrolls (I used (+ (% (random) 26) ?a) to
> generate the garbage), and hit C-p until you scroll down a line.  You
> should now see that the last character cell contains a continuation
> ('\') glyph.  I think this is probably due to the use of any of 'il' or
> 'il1' or 'rin' terminal capabilities.

Thanks, but please provide more info:

  . the exact recipe to try (I tried to follow the above, but
    couldn't, I guess I misunderstand what you mean)
  . on which terminal emulators this is known to happen, at least in
    your case (and if you happen to know, also others)